curl https://api.voicy.co/functions/v1/agent-get/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer voicy_sk_live_xxx"
const id = '550e8400-e29b-41d4-a716-446655440000';
const agent = await (await fetch(`https://api.voicy.co/functions/v1/agent-get/${id}`, {
headers: { 'Authorization': 'Bearer voicy_sk_live_xxx' },
})).json();
import requests
agent_id = '550e8400-e29b-41d4-a716-446655440000'
agent = requests.get(
f'https://api.voicy.co/functions/v1/agent-get/{agent_id}',
headers={'Authorization': 'Bearer voicy_sk_live_xxx'},
).json()
{
"agent_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Appointment Booker",
"language": "he",
"voice": "Keren",
"agent_type": "singlePrompt",
"active": true,
"prompt": "You are a friendly receptionist that books appointments.",
"welcome_message": "שלום, איך אפשר לעזור?",
"variables_provided": [
{ "name": "customer_name", "description": "The caller's name" }
],
"variables_extracted": [
{ "name": "appointment_date", "description": "The date the caller chose" }
],
"created_at": "2026-06-06T10:00:00Z",
"updated_at": "2026-06-06T10:00:00Z"
}
{
"error": "Agent not found"
}
Agents
Get Agent
Retrieve a single agent and its variable contract
GET
/
v1
/
agent-get
/
{agent_id}
curl https://api.voicy.co/functions/v1/agent-get/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer voicy_sk_live_xxx"
const id = '550e8400-e29b-41d4-a716-446655440000';
const agent = await (await fetch(`https://api.voicy.co/functions/v1/agent-get/${id}`, {
headers: { 'Authorization': 'Bearer voicy_sk_live_xxx' },
})).json();
import requests
agent_id = '550e8400-e29b-41d4-a716-446655440000'
agent = requests.get(
f'https://api.voicy.co/functions/v1/agent-get/{agent_id}',
headers={'Authorization': 'Bearer voicy_sk_live_xxx'},
).json()
{
"agent_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Appointment Booker",
"language": "he",
"voice": "Keren",
"agent_type": "singlePrompt",
"active": true,
"prompt": "You are a friendly receptionist that books appointments.",
"welcome_message": "שלום, איך אפשר לעזור?",
"variables_provided": [
{ "name": "customer_name", "description": "The caller's name" }
],
"variables_extracted": [
{ "name": "appointment_date", "description": "The date the caller chose" }
],
"created_at": "2026-06-06T10:00:00Z",
"updated_at": "2026-06-06T10:00:00Z"
}
{
"error": "Agent not found"
}
Returns an Agent object, including its
variables_provided and variables_extracted. Works for both prompt-based and
flow agents; an agent’s internal flow configuration is never returned.
Path Parameters
string
required
The agent’s unique identifier (UUID).
Response
An Agent object.curl https://api.voicy.co/functions/v1/agent-get/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer voicy_sk_live_xxx"
const id = '550e8400-e29b-41d4-a716-446655440000';
const agent = await (await fetch(`https://api.voicy.co/functions/v1/agent-get/${id}`, {
headers: { 'Authorization': 'Bearer voicy_sk_live_xxx' },
})).json();
import requests
agent_id = '550e8400-e29b-41d4-a716-446655440000'
agent = requests.get(
f'https://api.voicy.co/functions/v1/agent-get/{agent_id}',
headers={'Authorization': 'Bearer voicy_sk_live_xxx'},
).json()
{
"agent_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Appointment Booker",
"language": "he",
"voice": "Keren",
"agent_type": "singlePrompt",
"active": true,
"prompt": "You are a friendly receptionist that books appointments.",
"welcome_message": "שלום, איך אפשר לעזור?",
"variables_provided": [
{ "name": "customer_name", "description": "The caller's name" }
],
"variables_extracted": [
{ "name": "appointment_date", "description": "The date the caller chose" }
],
"created_at": "2026-06-06T10:00:00Z",
"updated_at": "2026-06-06T10:00:00Z"
}
{
"error": "Agent not found"
}
⌘I